### Method

# Malcontent WebFilter get_custom_block_list

since: 0.14.0

#### Declaration [src]

    const char* const*
    mct_web_filter_get_custom_block_list (
      MctWebFilter* filter,
      size_t* out_len
    )

#### Description [src]

Gets the custom block list configured on the filter.

This is an array of hostnames to block. Hostnames are plain strings, not globs or regexps.

A `NULL` return value is equivalent to an empty array.

Available since: 0.14.0

#### Parameters

`out_len`

  Type: `size_t*`

  Return location for the array length, or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

Array of hostnames to block.

The length of the array is in the `out_len` argument.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.